// 请编程，将一个整数变量输出不同进制格式的结果
#include <stdio.h>

void printBinary(int num)
{
    // int size = sizeof(num) * 8; // 计算整数的位数
    int size = 8; // 计算整数的位数
    for (int i = size - 1; i >= 0; i--)
    {
        int bit = (num >> i) & 1; // 获取当前位的值
        printf("%d", bit);        // 输出当前位的值
    }
    printf("\n");
}

int main()
{
    int a = 19;

    printf("二进制输出: ");
    printBinary(a);
    printf("10 进制: %d\n", a);
    printf("八进制输出: %o\n", a);
    printf("十六进制输出: 0x%hhx\n", a);
    return 0;
}
